Bug 1121526 - production.log filled with data when binary file uploaded to provisioning templates
Summary: production.log filled with data when binary file uploaded to provisioning tem...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 07:14 UTC by Sachin Ghai
Modified: 2017-08-01 20:02 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 20:02:46 UTC


Attachments (Terms of Use)
UI allows to upload a .jpg image (66.99 KB, image/png)
2014-07-21 07:14 UTC, Sachin Ghai
no flags Details
when we upload a .pdf or .jpg file, the production.log filled with junk data (54.04 KB, application/octet-stream)
2014-07-25 06:27 UTC, Sachin Ghai
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 6792 None None None 2016-04-22 16:38:37 UTC

Description Sachin Ghai 2014-07-21 07:14:26 UTC
Created attachment 919544 [details]
UI allows to upload a .jpg image

Description of problem:
I was trying to upload a template file and I can upload any file, be it a .jpg or .pdf. UI should throw a validation error before uploading. As soon as user browse the file, UI should validate it.


Version-Release number of selected component (if applicable):
sat6 GA snap1

How reproducible:
always

Steps to Reproduce:
1. Go to Provisioning template
2. try to upload a pdf file or jpg file.
3.

Actual results:
I can upload any file like pdf or jpg image. UI should throw an error on uploading such files. May be "Binary files couldn't be uploaded".

Expected results:
The file format needs to be validated before uploading


Additional info:

Comment 2 Dominic Cleal 2014-07-24 14:43:08 UTC
I'm not sure, I don't see why templates couldn't store binaries files frankly, or on what basis we'd declare which files are binary (contain nulls?  Is that the issue).  Is this causing a bug somewhere else?

Comment 3 Sachin Ghai 2014-07-25 06:25:40 UTC
(In reply to Dominic Cleal from comment #2)
> I'm not sure, I don't see why templates couldn't store binaries files
> frankly, or on what basis we'd declare which files are binary (contain
> nulls?  Is that the issue).  Is this causing a bug somewhere else?

Binary file is just an example. As per my understanding templates are simple text files. So it should not be allowed to upload an image (.jpg) or a pdf file.

Also, the production.log file filled with junk data(special chars) when we upload .pdf and .jpg files, which is a side-effect.

Comment 4 Sachin Ghai 2014-07-25 06:27:07 UTC
Created attachment 920842 [details]
when we upload a .pdf or .jpg file, the production.log filled with junk data

Comment 5 Dominic Cleal 2014-07-28 13:14:44 UTC
Ok, that's easily fixable.

Comment 6 Bryan Kearney 2015-08-25 17:59:08 UTC
Upstream bug component is Provisioning

Comment 7 Bryan Kearney 2015-08-25 21:10:11 UTC
Upstream bug component is Provisioning

Comment 9 Bryan Kearney 2016-08-10 19:01:08 UTC
Upstream bug component is Infrastructure

Comment 10 Bryan Kearney 2016-08-10 20:02:17 UTC
Upstream bug component is Provisioning

Comment 11 Bryan Kearney 2016-08-10 22:02:07 UTC
Upstream bug component is Infrastructure

Comment 12 Adam Price 2016-08-31 19:29:38 UTC
This doesn't appear to be a problem anymore. I can populate the template editor with a binary file, but I can't upload it. Also there is no binary data in production.log.

Comment 14 Adam Price 2016-09-01 13:36:39 UTC
Upstream bug marked as "Resolved" with the same notes.

Comment 15 Bryan Kearney 2017-08-01 20:02:46 UTC
The fix to this bug will be delivered with release 6.3 of Satellite.


Note You need to log in before you can comment on or make changes to this bug.